Skip to main content
GET
/
api
/
v1
/
boards
/
{board_id}
/
ideations
List Ideations
curl --request GET \
  --url https://api.example.com/api/v1/boards/{board_id}/ideations \
  --header 'Authorization: Bearer <token>'
[
  {
    "assignee_id": "<string>",
    "board_id": "<string>",
    "complexity": "small",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "id": "<string>",
    "labels": [
      "<string>"
    ],
    "problem_statement": "<string>",
    "status": "draft",
    "title": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "version": 123,
    "architecture_designs": [],
    "archived": false,
    "pre_archive_status": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

board_id
string
required

Query Parameters

status
string | null
include_archived
boolean
default:false

Response

Successful Response

assignee_id
string | null
required
board_id
string
required
complexity
enum<string> | null
required

Ideation complexity level — determines whether refinements are needed.

Available options:
small,
medium,
large
created_at
string<date-time>
required
created_by
string
required
description
string | null
required
id
string
required
labels
string[] | null
required
problem_statement
string | null
required
status
enum<string>
required

Ideation lifecycle status.

Available options:
draft,
review,
approved,
evaluating,
done,
cancelled
title
string
required
updated_at
string<date-time>
required
version
integer
required
architecture_designs
ArchitectureDesignSummary · object[]
archived
boolean
default:false
pre_archive_status
string | null
Last modified on May 8, 2026